package tmobtokengen

type NewMockTokenGenerator struct {
}

// ClientSecretAsAuthVal implements Generator.
func (NewMockTokenGenerator) ClientSecretAsAuthVal() string {
	return ""
}

// Generate implements Generator.
func (NewMockTokenGenerator) Generate(ehts EHTSMap) (string, error) {
	return "", nil
}

// An easy way to check that that a struct implements and interface before build time
var _ Generator = NewMockTokenGenerator{}
